Add stable/2402 branch and remove stable/2306 branch to docker executor image scripts
[ci-management.git] / docker / scripts / dbld_vpp_install_packages.sh
index 99d4908..5e1e0f8 100755 (executable)
@@ -18,8 +18,6 @@ set -euxo pipefail
 export CIMAN_DOCKER_SCRIPTS=${CIMAN_DOCKER_SCRIPTS:-"$(dirname $BASH_SOURCE)"}
 . "$CIMAN_DOCKER_SCRIPTS/lib_vpp.sh"
 . "$CIMAN_DOCKER_SCRIPTS/lib_apt.sh"
-. "$CIMAN_DOCKER_SCRIPTS/lib_yum.sh"
-. "$CIMAN_DOCKER_SCRIPTS/lib_dnf.sh"
 
 must_be_run_in_docker_build
 
@@ -37,14 +35,6 @@ for branch in ${VPP_BRANCHES[$OS_NAME]} ; do
 
     # Install OS packages
     make_vpp "install-dep" "$branch"
-    make_vpp "centos-pyyaml" "$branch" # VPP Makefile tests for centos versions
-    if [ "$OS_ID" = "ubuntu" ] && [ "$OS_ARCH" = "x86_64" ] ; then
-        # 'Make docs jobs are only run on ubuntu x86_64 executors
-        #  so only run for ubuntu build executors.
-        make_vpp "docs-venv" "$branch"
-    elif [ "$OS_NAME" = "debian-9" ] ; then
-        apt_override_cmake_install_with_pip3_version
-    fi
 
     # Download, build, and cache external deps packages
     make_vpp "install-ext-deps" "$branch"
@@ -52,16 +42,6 @@ for branch in ${VPP_BRANCHES[$OS_NAME]} ; do
     rsync -ac $vpp_ext_dir/downloads/. $DOCKER_DOWNLOADS_DIR || true
     if which apt >/dev/null ; then
         vpp_ext_deps_pkg=$vpp_ext_dir/$(dpkg -l vpp-ext-deps 2>/dev/null | mawk '/vpp-ext-deps/{print $2"_"$3"_"$4".deb"}')
-    elif which dnf >/dev/null ; then
-        inst_vpp_ext_deps="$(dnf list vpp-ext-deps 2>/dev/null | grep vpp-ext-deps)"
-        vpp_ext_deps_ver="$(echo $inst_vpp_ext_deps | mawk '{print $2}')"
-        vpp_ext_deps_arch="$(echo $inst_vpp_ext_deps | mawk '{print $1}'| cut -d'.' -f2)"
-        vpp_ext_deps_pkg="$vpp_ext_dir/vpp-ext-deps-${vpp_ext_deps_ver}.${vpp_ext_deps_arch}.rpm"
-    elif which yum >/dev/null ; then
-        inst_vpp_ext_deps="$(yum list vpp-ext-deps 2>/dev/null | grep vpp-ext-deps)"
-        vpp_ext_deps_ver="$(echo $inst_vpp_ext_deps | mawk '{print $2}')"
-        vpp_ext_deps_arch="$(echo $inst_vpp_ext_deps | mawk '{print $1}' | cut -d'.' -f2)"
-        vpp_ext_deps_pkg="$vpp_ext_dir/vpp-ext-deps-${vpp_ext_deps_ver}.${vpp_ext_deps_arch}.rpm"
     else
         echo "ERROR: Package Manager not installed!"
         exit 1
@@ -72,13 +52,20 @@ for branch in ${VPP_BRANCHES[$OS_NAME]} ; do
         echo "ERROR: Missing VPP external deps package: '$vpp_ext_deps_pkg'"
         exit 1
     fi
+    # TODO: remove this after all supported VPP branches have removed
+    # python3-virtualenv & virtualenv from install-deps which are no longer
+    # used in vpp repo.  These packages can mess up csit virtualenv
+    # installation which uses pip3
+    sudo apt remove -y --purge --autoremove python3-virtualenv virtualenv || true
+
     # Install/cache python packages
+    make_vpp_test "test-dep" "$branch"
     if [ "$OS_ID" = "ubuntu" ] ; then
-        make_vpp_test "test-dep" "$branch"
-        make_vpp_test "doc" "$branch"
         make_vpp test-wipe "$branch"
-        make_vpp "bootstrap-doxygen" "$branch"
     fi
+    # Clean up virtual environment
+    git checkout -q -- .
+    git clean -qfdx
 
     # Dump packages installed
     case "$DOCKERFILE_FROM" in
@@ -86,10 +73,6 @@ for branch in ${VPP_BRANCHES[$OS_NAME]} ; do
             dump_apt_package_list "$branch" ;;
         *debian*)
             dump_apt_package_list "$branch" ;;
-        *centos:7)
-            dump_yum_package_list "$branch" ;;
-        *centos:8)
-            dump_dnf_package_list "$branch" ;;
     esac
 done